<?php

// ---------------------------------------------------------------------
//            (c) sgs-visual.de 2024 - Öffnungszeiten 1.2
//                     Bearbeitung  Montag bis Sonntag
//
//                      https://www.sgs-visual.de
//
//      Eingebunden der CSS-Editor - eine Abwandlung 
//            des HTM-Editors von Werner Zenk 2023
//                       https://werner-zenk.de
// ---------------------------------------------------------------------

// #####################################################
//    Login Script - sgs-visual.de 2024                                Login  Teil 1
// ######################################################

$link = (isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] === 'on' ? "https" : "http") . "://$_SERVER[HTTP_HOST]$_SERVER[REQUEST_URL]";

   session_start();

// ---------------------------------------------------------------------------------------------------------------
// Geben Sie hier einen Benutzernamen (username) und ein Passwort (password) Ihrer Wahl ein.
// ---------------------------------------------------------------------------------------------------------------

  $username = 'admin';     // Wählen Sie Ihren eigenen Benutzernamen !
  $password = 'passwort';  // Wählen Sie Ihr eigenes Passwort !

// ---------------------------------------------------------------------------------------------------------------
//                 AB HIER - bis Ende Teil 1 - NICHT MEHR BEARBEITEN !!! (bis Zeile 57)
// ---------------------------------------------------------------------------------------------------------------

  $random1 = 'secret_key1';
  $random2 = 'secret_key2';

  $hash = md5($random1.$pass.$random2); 

  $self = $_SERVER['REQUEST_URI'];


// ---------- Logout -----------

  if(isset($_GET['logout'])) {
	unset($_SESSION['login']);
  }

// ---------- Login erfolgreich -----------

  if (isset($_SESSION['login']) && $_SESSION['login'] == $hash) {

// ########################################
//                                                 Ende Teil 1 des Login
// ########################################

?>
<!doctype html>
<html lang="de">

<head>
    <meta charset="utf-8">
    <link rel="shortcut icon" type="image/png" href="sgs_icons/oeffnungszeiten.png"/>
    <meta name="robots" content="nofollow">
    <meta name="viewport" content="width = device-width, initial-scale = 1.0" />
    <title>ADMIN-BEREICH - &Ouml;ffnungsszeiten 1.2</title>
    <link href="data/admin.css" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="data/sgs-komplex-1.1.css">

<style type="text/css">
input[type=text] {
height: 22px;
width: 240px;
}
</style>


</head>
<body class="seiteninhalt_schiefer">


<p class="font_arial font_14 font_weiss zentriert">
Hallo <?php echo $username; ?>, Sie sind zur Zeit angemeldet !
</p>

<div class="zentriert">
<button class="input_arial btn_rot" onclick="window.location.href = '?logout=true'"> Logout &nbsp;<img src="sgs_icons/logout_weiss.png" width="14" height="14"></button>
</div>

<div class="zentriert">
	
  <div class="ErsteBox_dunkel">
                               
<div class="font_weiss">

<p class="font_weiss font_16 zentriert"><strong>Admin-Bereich Öffnungszeiten 1.2</strong></p>

<p class="font_weiss font_14">
Für Tage, an denen nicht geöffnet ist, beide Uhrzeiten einfach <strong>00:00</strong> eingeben.</p>

<p class="font_weiss font_14"> 
Zur Ausgabe Ihrer Öffnungszeiten wählen Sie bitte das passende Script ( Datei: <strong>index_open_mo-fr.php</strong> für Öffnungszeiten <strong>Montag bis Freitag</strong>. Die Datei <strong>index_open_mo-sa.php</strong> für Öffnungszeiten <strong>Montag bis Samstag</strong><br>oder <strong>index_open_mo-so.php</strong> für Öffnungszeiten <strong>Montag bis Sonntag</strong>.<br><br>
Um die Ausgabe der Öffnungszeiten in Ihrer Website mit einem <strong>iframe</strong> ausgeben zu können, wählen Sie (je nach Ausgabe - s.O.) das passende Script in einer der drei Dateien <strong>&#171;iframe_mo-xx.txt&#187;</strong>.</p>

<p class="font_weiss font_14 zentriert">
<a class="link zentriert" href="Anleitung_Oeffnungszeiten.pdf" onclick="window.open(this.href, 'Anleitung', 'width=800,height=600,left=80,top=50, toolbar=no'); return false"><strong>Anleitung Öffnungszeiten-Script</strong></a>
</p>

<p class="font_weiss font_14">
Sie können mit dem CSS-Editor die Style-Datei <strong>&#171;style.css&#187;</strong>&nbsp;bearbeiten.
</p>

<p class="font_weiss font_14">
<a class="link zentriert" href="editor.php" onclick="window.open(this.href, 'CSS-Editor', 'width=700,height=600,left=80,top=50, toolbar=no'); return false"><strong>Hier können Sie den Editor starten.</strong></a>
</p>
<br>

     <body oncontextmenu="return false"><!--- Schaltet das Kontextmenue aus --->


<?php

  // --- Hier werden die Variablen der Öffnungs- und Schließzeiten zum Bearbeiten geladen ---

           $startMo = file_get_contents("data/startMo.dat");
           $stopMo = file_get_contents("data/stopMo.dat");

           $startDi = file_get_contents("data/startDi.dat");
           $stopDi = file_get_contents("data/stopDi.dat");

           $startMi = file_get_contents("data/startMi.dat");
           $stopMi = file_get_contents("data/stopMi.dat");

           $startDo = file_get_contents("data/startDo.dat");
           $stopDo = file_get_contents("data/stopDo.dat");

           $startFr = file_get_contents("data/startFr.dat");
           $stopFr = file_get_contents("data/stopFr.dat");

           $startSa = file_get_contents("data/startSa.dat");
           $stopSa = file_get_contents("data/stopSa.dat");

           $startSo = file_get_contents("data/startSo.dat");
           $stopSo = file_get_contents("data/stopSo.dat");

//  ###  Urlaubsdaten laden  ######################

           $urlaubname = file_get_contents("data/urlaubname.txt");
           $urlaubname = file_get_contents("data/urlaubname.txt");

           $urlaubinfo = file_get_contents("data/urlaubinfo.txt");
           $urlaubinfo = file_get_contents("data/urlaubinfo.txt");

           $urlaubstart = file_get_contents("data/urlaubstart.txt");
           $urlaubstart = file_get_contents("data/urlaubstart.txt");

           $urlaubstop = file_get_contents("data/urlaubstop.txt");
           $urlaubstop = file_get_contents("data/urlaubstop.txt");

           $urlaubschalter = file_get_contents("data/urlaubschalter.txt");
           $urlaubschalter = file_get_contents("data/urlaubschalter.txt");

// #######################################
   
?>
  <div class="zentriert">
     <p class="font_weiss font_18">
          Daten bearbeiten
     </p>
  </div>

  <div class="zentriert">
     <p class="font_weiss font_14">
&Ouml;ffnungs- und Schließzeiten:<br>
&#9888; Bitte nur im Format <strong>'SS:MM'</strong> eingeben !
    </p>
  </div>

     <form action="daten_verarbeitung.php" method="post">

  <table class="tg font_12 zentriert">

  <! --- ÖFFNUNGSZEITEN TABELLE --->

  <tr class="zentriert">

    <th class="tg-titel" colspan="5">&Ouml;ffnungszeiten</th>

  </tr>

  <! --- MONTAG --->
  <tr>
    <td class="tg-mo font_weiss">Montag:</td>
    <td class="tg-mo"><input type="time" name="startMo" size="3" maxlength="5"  value="<?php echo $startMo ?>"/></td>
    <td class="tg-mo font_weiss"> Uhr bis&nbsp;</td>
    <td class="tg-mo"><input type="time" name="stopMo" size="3"  maxlength="5"  value="<?php echo $stopMo ?>"/></td>
    <td class="tg-mo font_weiss"> Uhr</td>
  </tr>
  <! --- DIENSTAG --->
  <tr>
    <td class="tg-di font_weiss">Dienstag:</td>
    <td class="tg-di"><input type="time" name="startDi" size="3" maxlength="5"  value="<?php echo $startDi ?>"/></td>
    <td class="tg-di font_weiss"> Uhr bis&nbsp;</td>
    <td class="tg-di"><input type="time" name="stopDi" size="3"  maxlength="5"  value="<?php echo $stopDi ?>"/></td>
    <td class="tg-di font_weiss"> Uhr</td>
  </tr>
  <! --- MITTWOCH --->
  <tr>
    <td class="tg-mi font_weiss">Mittwoch:</td>
    <td class="tg-mi"><input type="time" name="startMi" size="3" maxlength="5"  value="<?php echo $startMi ?>"/></td>
    <td class="tg-mi font_weiss"> Uhr bis&nbsp;</td>
    <td class="tg-mi"><input type="time" name="stopMi" size="3"  maxlength="5"  value="<?php echo $stopMi ?>"/></td>
    <td class="tg-mi font_weiss"> Uhr</td>
  </tr>
  <! --- DONNERSTAG --->
  <tr>
    <td class="tg-do font_weiss">Donnerstag:&nbsp;</td>
    <td class="tg-do"><input type="time" name="startDo" size="3" maxlength="5"  value="<?php echo $startDo ?>"/></td>
    <td class="tg-do font_weiss"> Uhr bis&nbsp;</td>
    <td class="tg-do"><input type="time" name="stopDo" size="3"  maxlength="5"  value="<?php echo $stopDo ?>"/></td>
    <td class="tg-do font_weiss"> Uhr</td>
  </tr>
  <! --- FREITAG --->
  <tr>
    <td class="tg-fr font_weiss">Freitag:</td>
    <td class="tg-fr"><input type="time" name="startFr" size="3" maxlength="5"  value="<?php echo $startFr ?>"/></td>
    <td class="tg-fr font_weiss"> Uhr bis&nbsp;</td>
    <td class="tg-fr"><input type="time" name="stopFr" size="3"  maxlength="5"  value="<?php echo $stopFr ?>"/></td>
    <td class="tg-fr font_weiss"> Uhr</td>
  </tr>
  <! --- SAMSTAG --->
  <tr>
    <td class="tg-sa font_weiss">Samstag:</td>
    <td class="tg-sa"><input type="time" name="startSa" size="3" maxlength="5"  value="<?php echo $startSa ?>"/></td>
    <td class="tg-sa font_weiss"> Uhr bis&nbsp;</td>
    <td class="tg-sa"><input type="time" name="stopSa" size="3"  maxlength="5"  value="<?php echo $stopSa ?>"/></td>
    <td class="tg-sa font_weiss"> Uhr</td>
  </tr>
  <! --- SONNTAG --->
  <tr>
    <td class="tg-so font_weiss">Sonntag:</td>
    <td class="tg-so"><input type="time" name="startSo" size="3" maxlength="5"  value="<?php echo $startSo ?>"/></td>
    <td class="tg-so font_weiss"> Uhr bis&nbsp;</td>
    <td class="tg-so"><input type="time" name="stopSo" size="3"  maxlength="5"  value="<?php echo $stopSo ?>"/></td>
    <td class="tg-so font_weiss"> Uhr</td>
  </tr>

  
</table>

  <br><hr>
    <p class="font_weiss font_16 text_zentriert">
           Urlaub oder Inventur
    </p>

    <p class="font_weiss font_14 text_zentriert">
   Geben Sie in der folgenden Zeile eine Bezeichnung der Urlaubsart ein, wie z.b. Betriebsferien, Urlaub, Sommerpause, Inventur, Wir bauen um...<br><br>
          <input type="text" name="urlaubname" size="50"  maxlength="50" value="<?php echo $urlaubname ?>"/><br><br>
    </p>


     <p class="font_weiss font_14 text_zentriert">
   Geben Sie in der folgenden Zeile den begleitenden Text wie z.B. Wir haben bis einschließlich 03.06. (Das Wort geschlossen weglassen!)
   </p> 

    <p class="text_zentriert">     
        <input type="text" size="50"  maxlength="50" name="urlaubinfo" value="<?php echo $urlaubinfo ?>"/>
   </p>


   <hr>
    <p class="font_weiss font_14 text_zentriert">
           Die Eingabe eines Start-Datums und End-Datums hat nur Auswirkung auf die Ausgabe einer Zusatz-Information auf Ihrer Startseite, um Urlaub oder Inventur zeitgerecht anzuzeigen. Die Daten haben keinen Einfluß auf die Anzeige der Öffnungszeiten!
    </p>


     <p class="font_weiss font_14 text_zentriert">
   Wählen Sie in der folgenden Zeile das Startdatum aus:<br><br>
          <input type="date" name="urlaubstart" value="<?php echo $urlaubstart ?>"/><br><br>
    </p>


     <p class="font_weiss font_14 text_zentriert">
   Wählen  Sie in der folgenden Zeile das Enddatum aus:<br><br>
          <input type="date" name="urlaubstop" value="<?php echo $urlaubstop ?>"/>
    </p>
<hr>

     <p class="font_weiss font_14 text_zentriert">
   Hier schalten Sie die Urlaubszeit direkt (sofort) EIN oder AUS.<br>Die Eingabe löst das sofortige Umschalten der Öffnungszeiten, auf die zuvor eingegebenen Texte, auf Ihrer Website aus!<br><br>
          Urlaub EIN = ''1'' / Urlaub AUS = ''0'' eingeben &emsp;<input type="number" size="2" name="urlaubschalter" value="<?php echo $urlaubschalter ?>"/>&emsp;

    </p>

<br><br>

  <div class="font_weiss">
           <button class="btn_gruen input_arial font_14 font_weiss rahmen_rund_weiss_2 zentriert" onclick="Submit"> Daten speichern &nbsp;<img src="sgs_icons/generator_icon_weiss.gif" width="14" height="14"></button><br>
   </div>

</div>

   </form>
  </div>



</body>
</html>
	


<?php
// ################################################
//                                             Login Teil 2
// ################################################

   }  // Darf nicht entfernt werden !

// ------------------------ Benutzerdaten werden gesendet ----------------------------

   else if (isset($_POST['submit'])) {

	if ($_POST['username'] == $username && $_POST['password'] == $password){
	
// --- Sind Benutzername und Passwort Korrekt, dann beginnt die LOG-IN SESSION

		$_SESSION["login"] = $hash;
		header("Location: $_SERVER[PHP_SELF]");
		
	} else {
		
// --------------------- Bei falschen Eingaben beim Login ----------------------


	display_login_form();
	echo '<link rel="stylesheet" href="data/sgs-komplex-1.1.css"><p class="font_arial font_18 font_rot zentriert"><strong>&#9888; Benutzername und/oder Passwort ist/sind ung&uuml;ltig</strong></p><br>';
		
	}
}
		
   else {
	display_login_form();
   }

   function display_login_form() { 

// ------------------------ Login Formular anzeigen -----------------------

?>


   <html lang="de">
       <head>
              <html lang="de">
               <link rel="shortcut icon" type="image/png" href="sgs_icons/oeffnungszeiten.png"/>
               <meta name="robots" content="nofollow">
               <meta name="viewport" content="width=device-width, initial-scale=1">
                <title>ADMIN-BEREICH - &Ouml;ffnungsszeiten 1.2</title>
       </head>

               <link rel="stylesheet" href="data/sgs-komplex-1.1.css">

     <body class="seiteninhalt_schiefer">

        <body oncontextmenu="return false">

             <p class="zentriert"><img src="data/oeffnungszeiten_1.2_weiss.png" width="320" height="56" loading="lazy"></p>
                                                 
              <p class="font_arial font-16 font_weiss zentriert">Bitte geben Sie Ihre Benutzerdaten ein.</p><br>

   <form action="<?php echo $self; ?>" method='post'>

         <p class="zentriert">

	<label class="font_arial font_16 font_weiss" for="username">Benutzername: </label>
      </p>

         <p class="zentriert">
	<input type="text" name="username" id="username"><p>

        <p class="zentriert">

               <label class="font_arial font_16 font_weiss" for="password">Passwort: </label>
      </p>

         <p class="zentriert">
	<input type="password" name="password" id="password">
       </p>
    <br>
                              
             <button class="input_arial btn_rot zentriert" input type="submit" name="submit" value="login"> Login &nbsp;<img src="sgs_icons/login_weiss.png" width="14" height="14"> </button>
      
   <br>

	</form>


       <p class="font_arial font_8 font_weiss zentriert">
            &copy; sgs-visual.de - S.G.Schiffer 2024</p>

      <p class="font_arial font_8 zentriert">
           <a class="link zentriert" href="https://www.sgs-visual.de" target="_blank"><strong>https://www.sgs-visual.de</strong></a></p>
 
      <p class="font_arial font_8 font_weiss zentriert">
           PHP-Script Öffnungszeiten 1.2 [Stand 14.06.2024]</p>
     </p>


</div>	

<?php     
   }  // Darf nicht entfernt werden !---
?>